%global momorel 1

Summary: Qt wrapper API to different RDF storage solutions
Name:    soprano
Version: 2.2.1
Release: %{momorel}m%{?dist}
Group:   System Environment/Libraries
License: LGPL
URL:     http://sourceforge.net/projects/soprano
Source0: http://dl.sourceforge.net/sourceforge/soprano/soprano-%{version}.tar.bz2
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
# glibc/open issues
Requires: dbus
BuildRequires: cmake >= 2.6.2-1m
BuildRequires: dbus-devel
BuildRequires: redland-devel >= 1.0.6
BuildRequires: raptor-devel >= 1.4.16
BuildRequires: qt-devel >= 4.4.2
# older packages had clucene-config.h in the wrong place
BuildRequires: clucene-core-devel >= 0.9.20-1m

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: qt-devel
Requires: pkgconfig

%description devel
%{summary}.

%prep
%setup -q -n soprano-%{version}%{?beta}

%build
%{cmake} -Wno-dev .
make %{?_smp_mflags} VERBOSE=1

%install
rm -rf --preserve-root %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf --preserve-root %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING* README TODO
%{_bindir}/sopranocmd
%{_bindir}/sopranod
%{_bindir}/onto2vocabularyclass
%{_libdir}/lib*.so.*
%{_libdir}/soprano
%{_datadir}/dbus-1/interfaces/org.soprano.*
%{_datadir}/soprano/

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/soprano.pc
%{_includedir}/Soprano
%{_includedir}/soprano

%changelog
* Sun Feb 15 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.2.1-1m)
- update to 2.2.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.1.64-2m)
- rebuild against rpm-4.6

* Sun Nov 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.64-1m)
- update to 2.1.64

* Sat Aug 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.1.1-1m)
- update to 2.1.1

* Tue May 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.98-1m)
- update to 2.0.98

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.3-4m)
- rebuild against qt-4.4.0-1m

* Sun Apr 20 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-3m)
- release %%{_datadir}/dbus-1/interfaces

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.3-2m)
- rebuild against gcc43

* Sun Mar  9 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.3-1m)
- update to 2.0.3
- update patch

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.0-1m)
- remove rcver
- Requires: dbus and BuildRequires: dbus-devel

* Sat Jan 12 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.0-1m)
- update to 2.0.0

* Mon Dec 31 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.99-0.2.1m)
- import from Fedora devel and update to 1.99rc2

* Sun Dec 2 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.98.0-1
- soprano-1.98.0 (soprano 2 rc 1)
- update glibc/open patch

* Sat Nov 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.97.1-2
- glibc/open patch

* Sat Nov 10 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.97.1-1
- soprano-1.97.1 (soprano 2 beta 4)

* Fri Oct 26 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.95.0-3
- BR clucene-core-devel >= 0.9.20-2 to make sure we get a fixed package

* Fri Oct 26 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.95.0-2
- drop findclucene patch, fixed in clucene-0.9.20-2

* Tue Oct 16 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 1.95.0-1
- update to 1.95.0 (Soprano 2 beta 2)
- new BRs clucene-core-devel, raptor-devel >= 1.4.15
- now need redland-devel >= 1.0.6
- add patch to find CLucene (clucene-config.h is moved in the Fedora package)
- new Requires: pkg-config for -devel

* Wed Aug 22 2007 Rex Dieter <rdietr[AT]fedoraproject.org> 0.9.0-4
- respin (BuildID)

* Fri Aug 3 2007 Kevin Kofler <Kevin@tigcc.ticalc.org> 0.9.0-3
- specify LGPL version in License tag

* Sun Jul 15 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.0-2
- BR: cmake (doh)

* Wed Jun 27 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.9.0-1
- soprano-0.9.0
- first try

